package be.iminds.ilabt.jfed.experimenter_gui.bugreporting;

import be.iminds.ilabt.jfed.connectivity_tester.ConnectivityTest;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * User: twalcari
 * Date: 3/13/14
 * Time: 9:52 AM
 */
@XmlRootElement(name = "connectivity-test")
public class BRConnectivityTest {
    private String name;
    private ConnectivityTest.Status status;
    private String message;
    private String exception;

    public BRConnectivityTest() {
        this(null, null, null, null);
    }

    public BRConnectivityTest(String name, ConnectivityTest.Status status, String message, String exception) {
        this.name = name;
        this.status = status;
        this.message = message;
        this.exception = exception;
    }

    public String getName() {
        return name;
    }

    public ConnectivityTest.Status getStatus() {
        return status;
    }

    public String getMessage() {
        return message;
    }

    public String getException() {
        return exception;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setStatus(ConnectivityTest.Status status) {
        this.status = status;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setException(String exception) {
        this.exception = exception;
    }
}
